package com.yanzhu.system.api.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户授权对象 sys_user_uniopen
 * 
 * @author JiangYuQi
 * @date 2024-10-13
 */
public class SysUserUniopen extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 用户主键 */
    @Excel(name = "用户主键")
    private Long userId;

    /** 用户账号 */
    @Excel(name = "用户账号")
    private String userName;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String userNick;

    /** 唯一关联id */
    @Excel(name = "唯一关联id")
    private String unionid;

    /** 小程序授权id */
    @Excel(name = "小程序授权id")
    private String maOpenId;

    /** 公众号授权id */
    @Excel(name = "公众号授权id")
    private String mpOpenId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setUserNick(String userNick) 
    {
        this.userNick = userNick;
    }

    public String getUserNick() 
    {
        return userNick;
    }
    public void setUnionid(String unionid) 
    {
        this.unionid = unionid;
    }

    public String getUnionid() 
    {
        return unionid;
    }
    public void setMaOpenId(String maOpenId) 
    {
        this.maOpenId = maOpenId;
    }

    public String getMaOpenId() 
    {
        return maOpenId;
    }
    public void setMpOpenId(String mpOpenId) 
    {
        this.mpOpenId = mpOpenId;
    }

    public String getMpOpenId() 
    {
        return mpOpenId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("userNick", getUserNick())
            .append("unionid", getUnionid())
            .append("maOpenId", getMaOpenId())
            .append("mpOpenId", getMpOpenId())
            .toString();
    }
}
